Page MenuHomePhabricator

Provide sensible documentation platform for Pywikibot
Closed, ResolvedPublic

Description

The typical documentation platform for Python projects is Sphinx (combined with readthedocs, typically). However, we have Mediawiki.org, which has the advantage of having translated pages.

It would be nice to have the English docs in the git repository, as that would make keeping them up-to-date *much* easier. In addition, that would make it much easier to auto-generate parts of the documentation (e.g. script parameters and API docs).

It would be nice if we could find a way to have the best of both worlds, e.g. by having something that parses docs to Translate-enabled wikitext.


Version: core-(2.0)
Severity: normal

Details

Reference
bz64846

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64846.
bzimport added a subscriber: Unknown Object (????).

Change 175483 had a related patch set uploaded (by John Vandenberg):
Sphinx documentation

https://gerrit.wikimedia.org/r/175483

Patch-For-Review

Gallaecio assigned this task to jayvdb.Dec 19 2014, 7:02 PM
Gallaecio set Security to None.
Gallaecio removed a subscriber: Unknown Object (????).
Qgil renamed this task from Provide sensible documentation platform to Provide sensible documentation platform for Pywikibot.Jan 5 2015, 12:03 AM

Any news on this? Should we just start by setting up automatic documentation and start expanding documentation per function/class?

Change 133939 had a related patch set uploaded (by John Vandenberg):
Sphinx-based documentation attempt

https://gerrit.wikimedia.org/r/133939

Patch-For-Review

hashar added a subscriber: hashar.Apr 9 2015, 12:20 PM

Is anyone working on that Sphinx patch? I would love such documentation.

hashar rescinded a token.
hashar awarded a token.

Change 175483 merged by jenkins-bot:
Sphinx documentation

https://gerrit.wikimedia.org/r/175483

Change 133939 abandoned by Multichill:
Sphinx-based documentation attempt

Reason:
Merged in another change

https://gerrit.wikimedia.org/r/133939